#ifndef __FRAMESCRIBBLE_H__
#define __FRAMESCRIBBLE_H__

#include <wx/wx.h>
#include <wx/statline.h>
#include "PanelScribble.h"

//-----------------------------------------------------------------------------
// FrameScribble
//-----------------------------------------------------------------------------
class FrameScribble : public wxFrame {
public:
	class Panel : public wxPanel {
	private:
		PanelScribble *_pPanelScribble;
	public:
		Panel(wxWindow *pParent, wxWindowID id);
		inline PanelScribble *GetPanelScribble() { return _pPanelScribble; }
	private:
		DECLARE_EVENT_TABLE()
	};
private:
	enum {
		ID_MENU_Config = 1000,
	};
private:
	Panel *_pPanel;
public:
	FrameScribble(wxWindow *pParent);
	~FrameScribble();
	void ShowEx(bool flag);
	inline PanelScribble *GetPanelScribble() { return _pPanel->GetPanelScribble(); }
private:
	DECLARE_EVENT_TABLE()
	void OnClose(wxCloseEvent &event);
};

#endif
